⚠️ NOTE: While Reseller API v1.2 continues to work as expected, these docs will be removed in the near future as we shift focus to Reseller API v1.3, which adds expanded data structures and new capabilities like Content, Booking Questions, and Add-ons.

Check out our v1.3 docs and level up your integration to support even more partners and use cases.


Server
booking.redeam.io
Server Variables
Fields
KeyIn
X-API-KeyHeader
Fields
KeyIn
X-API-SecretHeader

Retrieve a list of suppliers

Returns a list of suppliers.

Auth
Headers
X-Request-IDstring

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

Query String
partner_idstring

Partner defined ID

codestring

Supplier code

GET /suppliers
curl --get \
--url 'https://booking.redeam.io/v1.2/suppliers' \
--header 'X-Request-ID: {X-Request-ID}' \
--header 'X-API-Key: {X-API-Key}' \
--header 'X-API-Secret: {X-API-Secret}' \
--data partner_id={partner_id} \
--data code={code}
Copy
Responses application/json
200

Retrieve a list of suppliers

objectobject
metaobject

Request meta data

reqIduuid

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

suppliers14 fieldsarray[object]
401

Unauthorized

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
{
"meta": {
"reqId": "5fd78809-4700-46d7-8386-3b8738117f4d"
},
"suppliers": [
{
"businessType": [
"amusement_park"
],
"code": "UQA_NYC",
"contacts": [
{
"email": "alice.smith@test.com",
"name": "Alice Smith",
"phone": "+1 (212) 867-5309",
"primary": true,
"title": "Account manager"
}
],
"description": "Urban Quest Adventures turns city streets into interactive playgrounds. Our app-guided scavenger hunts and outdoor escape games combine local landmarks, puzzles, and storytelling to create unforgettable experiences in cities like New York, Chicago, and San Francisco.",
"ext": {
"marketRegions": "UK, Europe, US"
},
"hours": [
{
"dates": [
"2018-10-19T17:37:31-06:00"
],
"daysOfWeek": [
1
],
"times": [
{
"close": "10:20",
"open": "08:00"
}
],
"timezone": "America/New_York",
"valid": {
"from": "2018-10-19T17:37:31-06:00",
"until": "2018-10-19T17:37:31-06:00"
}
}
],
"id": "5fd78809-4700-46d7-8386-3b8738117f4d",
"mainLocation": {
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJrTLr-GyuEmsRBfy61i59si0",
"locality": "New York",
"postalCode": "10036",
"region": "NY",
"streetAddress": "123 Adventure Avenue"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.758,
"longitude": -73.9855
},
"name": "Urban Quest - NYC HQ",
"notes": "Main check-in point for all Manhattan quests.",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
},
"name": "Urban Quest Adventures Co.",
"otherLocations": [
{
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJT_-_gLGbwokR0r4e-8r-BgI",
"locality": "Brooklyn",
"postalCode": "11201",
"region": "NY",
"streetAddress": "789 Discovery Drive"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.6925,
"longitude": -73.9904
},
"name": "Brooklyn Quest Start Point",
"notes": "Meet by the large fountain.",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
}
],
"partnerId": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"title": "Urban Quest Adventures - Explore Cities Like Never Before",
"version": 1
}
]
}
Copy

Retrieve a single supplier

Returns a supplier.

Auth
Headers
X-Request-IDstring

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

Path Params
supplier_idstring
GET /suppliers/{supplier_id}
curl --get \
--url 'https://booking.redeam.io/v1.2/suppliers/{supplier_id}' \
--header 'X-Request-ID: {X-Request-ID}' \
--header 'X-API-Key: {X-API-Key}' \
--header 'X-API-Secret: {X-API-Secret}'
Copy
Responses application/json
200

Retrieve a single supplier

objectobject
metaobject

Request meta data

reqIduuid

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

supplier14 fieldsobject
401

Unauthorized

404

Not Found

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
{
"meta": {
"reqId": "5fd78809-4700-46d7-8386-3b8738117f4d"
},
"supplier": {
"businessType": [
"amusement_park"
],
"code": "UQA_NYC",
"contacts": [
{
"email": "alice.smith@test.com",
"name": "Alice Smith",
"phone": "+1 (212) 867-5309",
"primary": true,
"title": "Account manager"
}
],
"description": "Urban Quest Adventures turns city streets into interactive playgrounds. Our app-guided scavenger hunts and outdoor escape games combine local landmarks, puzzles, and storytelling to create unforgettable experiences in cities like New York, Chicago, and San Francisco.",
"ext": {
"marketRegions": "UK, Europe, US"
},
"hours": [
{
"dates": [
"2018-10-19T17:37:31-06:00"
],
"daysOfWeek": [
1
],
"times": [
{
"close": "10:20",
"open": "08:00"
}
],
"timezone": "America/New_York",
"valid": {
"from": "2018-10-19T17:37:31-06:00",
"until": "2018-10-19T17:37:31-06:00"
}
}
],
"id": "5fd78809-4700-46d7-8386-3b8738117f4d",
"mainLocation": {
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJrTLr-GyuEmsRBfy61i59si0",
"locality": "New York",
"postalCode": "10036",
"region": "NY",
"streetAddress": "123 Adventure Avenue"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.758,
"longitude": -73.9855
},
"name": "Urban Quest - NYC HQ",
"notes": "Main check-in point for all Manhattan quests.",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
},
"name": "Urban Quest Adventures Co.",
"otherLocations": [
{
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJT_-_gLGbwokR0r4e-8r-BgI",
"locality": "Brooklyn",
"postalCode": "11201",
"region": "NY",
"streetAddress": "789 Discovery Drive"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.6925,
"longitude": -73.9904
},
"name": "Brooklyn Quest Start Point",
"notes": "Meet by the large fountain.",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
}
],
"partnerId": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"title": "Urban Quest Adventures - Explore Cities Like Never Before",
"version": 1
}
}
Copy